%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Corso: Metodi quantitativi per la finanza
% Classe: Soluzione esercizi MatLab
% Data: 19/02/2019
% Autore: Chiara Perricone
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear; 
clc;

%% Ex.1


% 1.1
SA_clienti = [1200,1111,1242,1303,2524,3575,3096]';
SA_cassieri = [10,10,10,12,12,18,18]';
SB_clienti = [1407,1038,1729,920,2261,2982,3843]';
SB_cassieri = [15,14,14,14,15,15,15]';

% 1.2
settimana = {'Lunedì', 'Martedì', 'Mercoledì', 'Giovedì', 'Venerdì', 'Sabato', 'Domenica'};
myTable = table(SA_clienti,SA_cassieri, SB_clienti, SB_cassieri, 'RowNames', settimana)

% 1.3
tot_clientiA = sum(myTable.SA_clienti);
tot_clientiB = sum(myTable.SB_clienti);
tot_clientiA > tot_clientiB

% 1.4
mean_clientiA = mean(myTable.SA_clienti);
mean_clientiB = mean(myTable.SB_clienti);
mean_clientiA > mean_clientiB

% 1.5
rapportoA = myTable.SA_clienti./myTable.SA_cassieri
rapportoB = myTable.SB_clienti./myTable.SB_cassieri

% 1.6
seleziona = rapportoA > rapportoB;
giorni = settimana(seleziona)


%% Ex.2

% 2.1
N_nati = [130471, 96579, 96936, 115495, 55069]';
pop_iniziale = [16130725,11654486,12070842,14167819, 6758796]';
pop_finale = [16138643,11661160,12090637,14149806,6755366]';
regioni = {'Nord-Ovest', 'Nord-Est', 'Centro', 'Sud', 'Isole'};
bimbi = table(N_nati,pop_iniziale, pop_finale, 'RowNames', regioni)
variabili =  bimbi.Properties.VariableNames;

% 2.2
s1 = sum(bimbi.N_nati)
s2 = sum(bimbi.pop_iniziale)
s3 = sum(bimbi.pop_finale)
Italia = table(s1, s2,s3)
Italia.Properties.VariableNames = variabili
bimbi = [bimbi ; Italia]
bimbi.Properties.RowNames{'Row6'} = 'Italia'

% 2.3
bimbi.natalita = 1000*(bimbi.N_nati./((bimbi.pop_iniziale+bimbi.pop_finale)/2))

% 2.4
regioni_sopra_media = regioni(bimbi.natalita(1:5)>bimbi.natalita(6))

%% Ex.3
somma = 0;
for i =  1:10
    somma = somma+i;
end
somma

%% Ex.4
x = 5;
data = NaN(x,x);
for k = 1:x
    data(k,1:k)= 1:k     
end

%% Ex.5
x = -5
if x < 0
  'Negativo'
elseif x > 0
   'Positivo'
else
   'Zero'
end   

%% Ex.6

M = 10;
u = randn(M,M);
new_vec = 0;
count =1;
for i = 1 : M
    if u(i,i)>0
        new_vec(count) = u(i,i);
        count = count +1;
    end
end

new_vec

%% Ex.7

x = 0;
while x < 5
    x = x+1
end

%% Ex.8

x = 0;
while x < 5
    if x == 3 
        break
    else
        x = x+1
    end
end

%% Ex.9

a = 2;
b = 10;
frequenze = round(a+(b-a)*rand(10,1));

percentuale(frequenze)